/* Custom JS */
(function ($, Drupal) {
  "use strict";
  Drupal.behaviors.buidlersTribe = {
    attach: function (context, settings) {
      $(".pretty-element").each(function (index) {
        $(this)
          .parent()
          .closest(".form-item")
          .addClass("pretty-element-wrapper");
      });

      // alert(covertAmount(6800000));
      $(".raw-amount").each(function (i, obj) {
        var amt = covertAmount($(this).html());
        if (amt) {
          $(this).html(amt);
        }
      });

      $(".copy-link").click(function () {
        navigator.clipboard.writeText($(this).attr("data-link"));
        var i = $(this).children("i");
        i.removeClass("fa-regular fa-copy").addClass("fa-solid fa-check");
        setTimeout(function () {
          i.removeClass("fa-solid fa-check").addClass("fa-regular fa-copy");
        }, 1000);
      });

      function covertAmount(labelValue) {
        // Nine Zeroes for Billions
        return Math.abs(Number(labelValue)) >= 1.0e9
          ? Math.abs(Number(labelValue)) / 1.0e9 + "B"
          : // Six Zeroes for Millions
          Math.abs(Number(labelValue)) >= 1.0e6
          ? Math.abs(Number(labelValue)) / 1.0e6 + "M"
          : // Three Zeroes for Thousands
          Math.abs(Number(labelValue)) >= 1.0e3
          ? Math.abs(Number(labelValue)) / 1.0e3 + "K"
          : Math.abs(Number(labelValue));
      }
    },
  };
})(jQuery, Drupal);
